<?php

namespace NRMPariwar\MagazineBundle\Repository;

use NRMPariwar\MagazineBundle\Entity\Magazine;


/**
 * MagazineRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class MagazineRepository extends \Doctrine\ORM\EntityRepository
{

    public function getQueryMagazine(){
        $qb = $this->_em->createQueryBuilder();

        $qb->select('m')
            ->from(Magazine::class,'m')
            ->join('m.attachments','a')
            ->where('m.deleted=false')
//            ->andWhere('m.published=true')
            ->orderBy('m.created','desc');
        return $qb;

    }
    public function  getAll(){
       return $this->getQueryMagazine();

    }

    public function  getLatestOne()
    {

        $qb =  $this->getQueryMagazine();
        $qb->setMaxResults(1);
        return $qb->getQuery()->getScalarResult();
    }



    }
